Loading...
Searching...
No Matches
openmpt::exception Class Reference
libopenmpt C++

libopenmpt exception base class More...

`#include <libopenmpt/libopenmpt.hpp>`

Inheritance diagram for openmpt::exception:

## Public Member Functions

LIBOPENMPT_CXX_API_MEMBER | exception (const std::string &text) noexcept
LIBOPENMPT_CXX_API_MEMBER | exception (const exception &other) noexcept
LIBOPENMPT_CXX_API_MEMBER | exception (exception &&other) noexcept
LIBOPENMPT_CXX_API_MEMBER exception & | operator= (const exception &other) noexcept
LIBOPENMPT_CXX_API_MEMBER exception & | operator= (exception &&other) noexcept
virtual LIBOPENMPT_CXX_API_MEMBER | ~exception () noexcept
LIBOPENMPT_CXX_API_MEMBER const char * | what () const noexcept override

## Detailed Description

libopenmpt exception base class

Base class used for all exceptions that are thrown by libopenmpt itself. Libopenmpt may additionally throw any exception thrown by the standard library which are all derived from std::exception.

See also
  Error Handling

## Constructor & Destructor Documentation

## exception() [1/3]

LIBOPENMPT_CXX_API_MEMBER openmpt::exception::exception | ( | const std::string & | text | ) |

noexcept

## exception() [2/3]

LIBOPENMPT_CXX_API_MEMBER openmpt::exception::exception | ( | const exception & | other | ) |

noexcept

## exception() [3/3]

LIBOPENMPT_CXX_API_MEMBER openmpt::exception::exception | ( | exception && | other | ) |

noexcept

## ~exception()

virtual LIBOPENMPT_CXX_API_MEMBER openmpt::exception::~exception | ( |  | ) |

virtual noexcept

## Member Function Documentation

## operator=() [1/2]

LIBOPENMPT_CXX_API_MEMBER exception & openmpt::exception::operator= | ( | const exception & | other | ) |

noexcept

## operator=() [2/2]

LIBOPENMPT_CXX_API_MEMBER exception & openmpt::exception::operator= | ( | exception && | other | ) |

noexcept

## what()

LIBOPENMPT_CXX_API_MEMBER const char * openmpt::exception::what | ( |  | ) | const

override noexcept

The documentation for this class was generated from the following file:

- libopenmpt/libopenmpt.hpp